SolrInputDocument::getField
SolrInputDocument::getFieldCount
SolrInputDocument
PHP Manual

# SolrInputDocument::getFieldBoost

(PECL solr >= 0.9.2)

SolrInputDocument::getFieldBoost — Retrieves the boost value for a particular field

### Description

public float SolrInputDocument::getFieldBoost ( string `$fieldName` )

Retrieves the boost value for a particular field.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns the boost value for the field or `FALSE` if there was an error.

SolrInputDocument::getField
SolrInputDocument::getFieldCount
SolrInputDocument
PHP Manual